The BOOST_PP_TUPLE_ENUM macro converts a tuple to its comma-separated elements. The comma-separated elements are in the form of variadic data.

#### Usage

BOOST_PP_TUPLE_ENUM(tuple) (v)
or
BOOST_PP_TUPLE_ENUM(size,tuple) (v)

#### Arguments

size
  The size of the tuple. The size is ignored.
tuple
  The tuple whose elements are to be converted.

#### Remarks

You can invoke the variadic macro (v) as BOOST_PP_TUPLE_ENUM(tuple) or BOOST_PP_TUPLE_ENUM(size,tuple) for backward compatibility.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/enum.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/enum.hpp>

    #define TUPLE (B,O,O,S,T)

    BOOST_PP_TUPLE_ENUM(TUPLE) // expands to B, O, O, S, T

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)